# Create 'CustomerEarningsReport'

Endpoint: POST /revenue/customerearnings/customerearningsreport/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Request fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `custom_id` (string)

  - `tenant` (object, required)

  - `tenant.id` (string)

  - `org_no` (string, required)

  - `accountant_company_name` (string)

  - `accountant_work_email` (string)

  - `accountant_work_phone` (string)

  - `description` (string)

  - `includes_subletted_space` (boolean)

  - `gross_value` (number, required)

  - `value` (number, required)

  - `period_start` (string, required)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `period_end`

  - `period_end` (string, required)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `period_start`

## Response 201 fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `custom_id` (string)

  - `created_at` (string)

  - `tenant` (object, required)

  - `tenant.id` (string)

  - `org_no` (string, required)

  - `accountant_company_name` (string)

  - `accountant_work_email` (string)

  - `accountant_work_phone` (string)

  - `description` (string)

  - `includes_subletted_space` (boolean)

  - `gross_value` (number, required)

  - `value` (number, required)

  - `reported_at` (string)

  - `period_start` (string, required)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `period_end`

  - `period_end` (string, required)
    **Additional Validation Information:**
This value must be set in an proper order, in relation to the following fields: `period_start`

  - `tags` (any)

  - `customer_columns` (any)

  - `pending_monitor_approval_amount` (any)

